D-Bus 1.13.18

Data Fields
DBusServerSocket Struct Reference
D-Bus secret internal implementation details » DBusServer implementations for SOCKET

Implementation details of DBusServerSocket. More...

## Data Fields
DBusServer | base
| Parent class members.
int | n_fds
| Number of active file handles.
DBusSocket * | fds
| File descriptor or DBUS_SOCKET_INVALID if disconnected.
DBusWatch ** | watch
| File descriptor watch.
char * | socket_name
| Name of domain socket, to unlink if appropriate.
DBusNonceFile * | noncefile
| Nonce file used to authenticate clients.

## Detailed Description

Implementation details of DBusServerSocket.

All members are private.

Definition at line 50 of file dbus-server-socket.c.

The documentation for this struct was generated from the following file:

- dbus-server-socket.c